# NASB Nitro Mod

This WIP mod modifies the gameplay to give a faster, more explosive experience.
_____

## 🚀 Installation

### Slime Mod Manager

Download the latest version of this mod from the [Slime Mod Manager](https://github.com/legoandmars/SlimeModManager/releases/latest).

## ⚠️ Warning

This mod might not be compatible with other mods. Simple mods like changes to the Replays UI are probably fine, but anything that modifies the game's or characters' mechanics probably will enter in conflict with **NASB: Nitro** and need to be uninstalled for Nitro to work correctly.

## 🙏 Special Thanks
#### To SanjiWatsuki for helping me get started and to megalon for his excellent mods that I used as examples to learn how to use Harmony, as well as his moveset editor that is used to modify the characters' movesets. You can get it here: https://github.com/megalon/nasb-moveset-editor

## ❔ FAQ

### "The mod is unfinished!"
Yep! This is a personal project, so I work on it whenever and however I want out of enjoyment. If anything is unfinished or broken, it might take a bit for me to fix it, just let me know and I'll try to fix it asap.

### "The game is unbalanced/way too jank!"
Probably? Without proper testers it's hard to fine tune stuff. My only goal is to speed up NASB gameplay and address some problematic mechanics, so in a sense of scale I might swing too far in the opposite direction. I am always open to criticism, so let me know your thoughts if you try Nitro!

### "How do I contact you?"
TruckerHat\#7425 on Discord! Please don't send me a friend request, just reach me through the Grinders or EUNASB servers:

NASB Grinders: https://discord.gg/yPayZdnQhh
EUNASB: https://discord.gg/Purpeaex7U

### "Do you plan on changing all the characters?"

Yes! It will be eventually the end goal, but they will be done progressively to be able to address them properly and get early polishing started on characters as soon as possible.

## 🔧 Dependencies

This project requires `YamlDotNet.dll`! 

It should be available in the installation, if not, you can download it as a NuGet package: https://www.nuget.org/packages/YamlDotNet/

## 📜 Changelist v0.0.1 (incomplete)
### - General Mechanics 🌍
· Camera zoomed out to better follow faster action.
· Parry window shortened from 6 to 4 frames.
· Parry lag on physical hits shortened from 15 to 12 frames.
· Parry lag on projectiles shortened from 3 to 1 frame.
· Parry doesn't depend on held direction anymore.
· Yellow Block removed.
· RPS hitbox shenanigans removed.

### - Toph 👩‍🦯
· Cannot airdash down during attacks.

· Runspeed increased from 21.5 to 41.

· Fallspeed increased from 30 to 40.

· AirStrongs don't stall in the air.

· All moves except grabs and specials don't cancel respawn invincibility.

· Respawn invincibility increased from 60 to 90 frames.

· UStrong speed increased from 12 to 26.

· UStrong max distance increased from 20 to 60.

· AirUStrong endlag decreased from 40 to 33.

· AirUStrong landing lag decreased from 26 to 8.

· UTilt hitbox sized increased and pushed higher.

· DTilt hitbox duration decreased from 10 to 7 frames.

· DTilt speed now adds to half of Toph's instead of being set.

· DTilt endlag decreased from 35 to 27 frames.

· Strong Dash Attack launches at a much higher angle (YSpeed 20->56).

### Garfield 😺

· Cannot airdash down during attacks.

· Runspeed increased from 18.7 to 34.

· Fallspeed increased from 32 to 39.

· Respawn invincibility increased from 60 to 90 frames.

· Pie does not airstall.

· Pie autocancels (4f landing lag).
